<ng-container *ngIf="!loading; else loadingBlk">
  
</ng-container>

<ng-template #loadingBlk>
  <div class="e-spinner e-spinner--full-screen eh-xy-center">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>